Skip to main content

request-data

Description

Fires when folder data is requested

The action fires:

  • when data for the folder with the lazy parameter is requested (the action fires only once, and after the folder gets the requested data, there's no need to call the action as data is available locally)
  • when the spinner icon (next to the breadcrumbs) is activated for the open directory

Usage

onRequestData?: ({
id: string
}) => boolean | void;

Alternative (API-based) usage via init callback:

// api.on("request-data", ({ id }) => ... );

Parameters

The callback of the onRequestData prop (or the "request-data" API event) takes an object with the following parameters:

  • id - (required) the ID of a folder for which data is requested

Example

Using the Filemanager init API to subscribe to the internal "request-data" event:

import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

function init(api){
api.on("request-data", ({ id }) => {
console.log("Data request for: " + id);
});
}

export default function App(){
return (
<Filemanager data={getData()} drive={getDrive()} init={init} />
);
}

Or using the React event prop onRequestData:

import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/react-filemanager";

export default function App(){
return (
<Filemanager
data={getData()}
drive={getDrive()}
onRequestData={({ id }) => {
console.log("Data request for: " + id);
}}
/>
);
}

Related articles: How to access File Manager API

request-data
Description
Fires when folder data is requestedThe action fires:
- when data for the folder with the lazy parameter is requested (the action fires only once, and after the folder gets the requested data, there's no need to call the action as data is available locally)
- when the spinner icon (next to the breadcrumbs) is activated for the open directory
Usage
"request-data": ({
id: string
}) => boolean | void;
Parameters
The callback of the request-data action takes an object with the following parameters:
id- (required) the ID of a folder for which data is requested
Example
<script setup>
import { getData, getDrive } from "./common/data";
import { Filemanager } from "@svar-ui/vue-filemanager";
function init(api){
api.on("request-data", ({ id }) => {
console.log("Data request for: " + id);
});
}
</script>
<template>
<Filemanager :data="getData()" :drive="getDrive()" :init="init" />
</template>
Related articles: How to access File Manager API